Class | TkcWindow
In: | tk/lib/tk/canvas.rb
Parent: | TkcItem

### Methods

create

### Constants

CItemTypeName | = | 'window'.freeze

### Public Class methods

create(canvas, *args)

[Source]

    # File tk/lib/tk/canvas.rb, line 749
      def self.create(canvas, *args)
        if args[-1].kind_of?(Hash)
          keys = _symbolkey2str(args.pop)
          win = keys['window']
          # keys['window'] = win.epath if win.kind_of?(TkWindow)
          keys['window'] = _epath(win) if win
          args.push(keys)
        end
        super(canvas, *args)
      end

[Validate]